Datasource Customer Mappings
Alle Operationen rund um Datasource Customer Mappings.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Datasource Customer Mapping | datasource_customer_mapping |
4 | — | datasource_customer_mapping_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/datasource_customer_mappings |
Create datasource_customer_mapping | Create a new datasource_customer_mapping in the active tenant. |
DELETE |
/v1/datasource_customer_mappings/{id} |
Delete datasource_customer_mapping | Soft delete entity. |
GET |
/v1/datasource_customer_mappings/{id} |
Get datasource_customer_mapping by id | Fetch a single datasource_customer_mapping. |
GET |
/v1/datasource_customer_mappings/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/datasource_customer_mappings/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/datasource_customer_mappings/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/datasource_customer_mappings |
List datasource_customer_mappings | List datasource_customer_mappings for the active tenant. |
PATCH |
/v1/datasource_customer_mappings/{id} |
Patch datasource_customer_mapping | JSON Merge Patch update. |
POST |
/v1/datasource_customer_mappings/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/datasource_customer_mappings/{id}/transition |
POST /v1/datasource_customer_mappings/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/datasource_customer_mappings/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/datasource_customer_mappings/{id} |
Replace datasource_customer_mapping | Full replace with optimistic locking. |